<%@ page import="org.jetbrains.teamcity.docker.DockerConstants" %>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="forms" tagdir="/WEB-INF/tags/forms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>

<tr>
  <c:set var="prop" value="<%= DockerConstants.DOCKER_COMPOSE_FILE %>"/>
  <th><label for="${prop}" class="shortLabel">Docker-compose file: <l:star/><bs:help file="Docker Compose"/></label></th>
  <td>
    <div>
      <props:textProperty name="${prop}" className="longField" id="${prop}"/>
      <bs:vcsTree fieldId="${prop}"/>
    </div>
    <span class="error" id="error_${prop}"></span>
    <span class="smallNote">TeamCity will start docker-compose services from the file in this step, and will shut down the services at the end of the build. <bs:help file="Docker Compose"/></span>
  </td>
</tr>


