<%@ page import="jetbrains.buildServer.web.openapi.healthStatus.HealthStatusItemDisplayMode" %>
<%@ page import="jetbrains.buildServer.serverSide.healthStatus.ItemSeverity" %>
<%@ page import="org.jetbrains.teamcity.docker.serverHealth.CantDeleteFromRepoHealthReport" %><%--
  Created by IntelliJ IDEA.
  User: sergeypak
  Date: 07/08/2017
  Time: 20:25
  To change this template use File | Settings | File Templates.
--%><%@ include file="/include-internal.jsp" %>
<jsp:useBean id="healthStatusItem" type="jetbrains.buildServer.serverSide.healthStatus.HealthStatusItem" scope="request"/>
<jsp:useBean id="showMode" type="jetbrains.buildServer.web.openapi.healthStatus.HealthStatusItemDisplayMode" scope="request"/>
<jsp:useBean id="healthStatusReportUrl" type="java.lang.String" scope="request"/>

<c:set var="isSeverityInfo" value='<%=healthStatusItem.getSeverity()==ItemSeverity.INFO%>'/>
<c:set var="inplaceMode" value='<%=showMode==HealthStatusItemDisplayMode.IN_PLACE%>'/>
<c:set var="buildType" value='<%=healthStatusItem.getAdditionalData().get("buildType")%>'/>
<c:set var="repo" value='<%=healthStatusItem.getAdditionalData().get("repo")%>'/>
<c:set var="image" value='<%=healthStatusItem.getAdditionalData().get("image")%>'/>
<c:set var="tag" value='<%=healthStatusItem.getAdditionalData().get("tag")%>' />
<c:set var="category" value='<%=healthStatusItem.getCategory()%>' />
<c:set var="cantDeleteCategory" value="<%=CantDeleteFromRepoHealthReport.Companion.getCANT_DELETE_CATEGORY()%>"/>
<c:set var="noConnectionCategory" value="<%=CantDeleteFromRepoHealthReport.Companion.getNO_CONNECTION_CATEGORY()%>"/>

<c:if test="${not empty buildType}">
  <c:choose>
    <c:when test="${category.id == noConnectionCategory}">
      Unable to find proper Docker registry connection for the image <strong><c:out value="${repo}"/>/<c:out value="${image}"/></strong>.<br/> The pushed image was not cleaned up.
    </c:when>
    <c:when test="${category.id == cantDeleteCategory}">
      Unable to clean up the image <strong><c:out value="${repo}"/>/<c:out value="${image}"/></strong> with the tag <strong><c:out value="${tag}"/></strong>.<br/> Please check your registry connection.
    </c:when>
  </c:choose>
</c:if>
