<%@ page import="org.jetbrains.teamcity.docker.DockerBuilderConstants" %>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="forms" tagdir="/WEB-INF/tags/forms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>
<jsp:useBean id="from" class="org.jetbrains.teamcity.docker.FormBean"/>
<div class="parameter">
    <c:set var="prop1" value="<%= DockerBuilderConstants.DOCKERFILE_LOCATION %>"/>
    <c:set var="prop2" value="<%= DockerBuilderConstants.DOCKERFILE_CONTENT %>"/>
    <c:set var="prop3" value="<%= DockerBuilderConstants.DOCKERFILE_URL %>"/>
    Dockerfile source: <strong><props:displayValue name="${prop1}" emptyValue=""/><props:displayValue name="${prop2}" emptyValue=""/><props:displayValue name="${prop3}" emptyValue=""/></strong>
</div>
<div class="parameter">
    <c:set var="prop" value="<%= DockerBuilderConstants.IMAGE_NAMES_AND_TAGS %>"/>
    List of image name:tag(s): <strong><props:displayValue name="${prop}" emptyValue=""/></strong>
</div>
<div class="parameter">
    <c:set var="prop" value="<%= DockerBuilderConstants.COMMAND_ARGUMENTS %>"/>
    Additional arguments: <strong><props:displayValue name="${prop}" emptyValue=""/></strong>
</div>
<props:viewWorkingDirectory/>
