<%@ page import="org.jetbrains.teamcity.docker.DockerWrapperConstants" %>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="forms" tagdir="/WEB-INF/tags/forms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>

<l:settingsGroup title="Docker Settings">
    <c:set var="imageProp" value="<%= DockerWrapperConstants.IMAGE %>"/>
    <div class="parameter">
        Docker Image: <strong><props:displayValue name="${imageProp}" emptyValue="unset"/></strong>
    </div>
    <c:if test="${not empty propertiesBean.properties[imageProp]}">
        <div class="parameter">
            Pull image before docker run: <props:displayValue
            name="<%= DockerWrapperConstants.PULL_ENABLED %>" emptyValue="false" />
        </div>
        <div class="parameter">
            Extra Docker Run parameters: <props:displayValue
            name="<%= DockerWrapperConstants.RUN_PARAMETERS %>" emptyValue="" />
        </div>
    </c:if>
</l:settingsGroup>


